import { FC, PropsWithChildren } from 'react'

import { useStyles } from './styles'

export const ColoredPage: FC<PropsWithChildren> = ({ children }) => {
  const { coloredPageWrapper, childrenWrapper } = useStyles()

  return (
    <div className={coloredPageWrapper}>
      <div className={childrenWrapper}>{children}</div>
    </div>
  )
}
